Organization members
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
appId*string
Response Body
application/json
curl -X GET "https://example.com/apps/string/organizations/string/members"[ { "id": "string", "organizationId": "string", "endUserId": "string", "role": "OWNER", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "endUser": { "id": "string", "email": "string" } }]Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
appId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/apps/string/organizations/string/members" \ -H "Content-Type: application/json" \ -d '{ "endUserId": "string" }'{ "id": "string", "organizationId": "string", "endUserId": "string", "role": "OWNER", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "endUser": { "id": "string", "email": "string" }}Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
membershipId*string
appId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/apps/string/organizations/string/members/string" \ -H "Content-Type: application/json" \ -d '{ "role": "OWNER" }'{ "id": "string", "organizationId": "string", "endUserId": "string", "role": "OWNER", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "endUser": { "id": "string", "email": "string" }}Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
membershipId*string
appId*string
Response Body
application/json
curl -X DELETE "https://example.com/apps/string/organizations/string/members/string"{ "removed": true}